Subject: Re: [RFC/PATCH 1/2] improve missing repository error message

From: Matthieu Moy <[email-masked]>
Date: Wed, 04 Mar 2009 10:19:25 +0100

Jeff King <[email-masked]> writes:

> +		die("'%s' does not appear to be a git repository", dir);

It may be sensible to distinguish the case where dir exists as a
directory but isn't a repository, and the case where it does not exist
at all, like "directory exists but does not appear to be a git
repository" Vs "no such directory".

Just in case someone does a "mkdir" on the server and doesn't know he
has to "git init" there too.

My 2 cents,

-- 
Matthieu